<?php
global $mkd_hornet_options;
$title_tag = "h5";
if(isset($mkd_hornet_options['blog_single_title_tags'])) {
    $title_tag = $mkd_hornet_options['blog_single_title_tags'];
}
$headings_array = array('h2', 'h3', 'h4', 'h5', 'h6');
//get correct heading value
$title_tag = (in_array($title_tag, $headings_array)) ? $title_tag : 'h5';

$pagination_classes = '';
if(isset($mkd_hornet_options['pagination_type']) && $mkd_hornet_options['pagination_type'] == 'standard') {
    if(isset($mkd_hornet_options['pagination_standard_position']) && $mkd_hornet_options['pagination_standard_position'] !== '') {
        $pagination_classes .= "standard_".esc_attr($mkd_hornet_options['pagination_standard_position']);
    }
} elseif(isset($mkd_hornet_options['pagination_type']) && $mkd_hornet_options['pagination_type'] == 'arrows_on_sides') {
    $pagination_classes .= "arrows_on_sides";
}

$number_of_comments = wp_count_comments(get_the_ID());
$no_comments = false;

if(property_exists($number_of_comments, 'approved')) {
    $no_comments = $number_of_comments->approved == 0 ? true : false;
}

$comments_wrapper_class[] = 'comments_wrapper';

if($no_comments) {
    $comments_wrapper_class[] = 'no_comments';
}

if(!comments_open() && $no_comments) {
    $comments_wrapper_class[] = 'comments_closed';
}


?>
<div <?php mkd_hornet_class_attribute($comments_wrapper_class); ?>>
    <div class="comment_holder clearfix" id="comments">
        <div class="comment_number">
            <div class="comment_number_inner"><<?php echo esc_attr($title_tag); ?> class="comments_number_title"><?php comments_number(esc_html__('No Comments', 'hornet'), 'There is 1 '.esc_html__('Comment on this post', 'hornet'), 'There are % '.esc_html__('Comments on this post', 'hornet')); ?></<?php echo esc_attr($title_tag); ?>>
        </div>
    </div>
    <div class="comments">
        <?php if(post_password_required()) : ?>
        <p class="nopassword"><?php esc_html_e('This post is password protected. Enter the password to view any comments.', 'hornet'); ?></p>
    </div>
</div>
<?php

return;
endif;
?>
<?php if(have_comments()) : ?>

    <ul class="comment-list">
        <?php wp_list_comments(array('callback' => 'mkd_hornet_comment')); ?>
    </ul>


    <?php // End Comments ?>

<?php else : // this is displayed if there are no comments so far

    if(!comments_open()) :
        ?>
        <!-- If comments are open, but there are no comments. -->


        <!-- If comments are closed. -->
        <p><?php esc_html_e('Sorry, the comment form is closed at this time.', 'hornet'); ?></p>

    <?php endif; ?>
<?php endif; ?>
</div></div>
<?php
$commenter = wp_get_current_commenter();
$req       = get_option('require_name_email');
$aria_req  = ($req ? " aria-required='true'" : '');

$args = array(
    'id_form'              => 'commentform',
    'id_submit'            => 'submit_comment',
    'title_reply'          => '<'.$title_tag.'>'.esc_html__('Post a Comment', 'hornet').'</'.$title_tag.'>',
    'title_reply_to'       => esc_html__('Post a Reply to %s', 'hornet'),
    'cancel_reply_link'    => esc_html__('Cancel Reply', 'hornet'),
    'label_submit'         => esc_html__('Submit', 'hornet'),
    'comment_field'        => '<textarea id="comment" placeholder="'.esc_html__('Write your comment here...', 'hornet').'" name="comment" cols="45" rows="8" aria-required="true"></textarea>',
    'comment_notes_before' => '',
    'comment_notes_after'  => '',
    'fields'               => apply_filters('comment_form_default_fields', array(
        'author' => '<div class="comment_field_holder"><input id="author" name="author" placeholder="'.esc_html__('Your name*', 'hornet').'" type="text" value="'.esc_attr($commenter['comment_author']).'"'.$aria_req.' /></div>',
        'url'    => '<div class="comment_field_holder"><input id="email" name="email" placeholder="'.esc_html__('Your E-mail*', 'hornet').'" type="text" value="'.esc_attr($commenter['comment_author_email']).'"'.$aria_req.' /></div>',
        'email'  => '<div class="comment_field_holder"><input id="url" name="url" type="text" placeholder="'.esc_html__('Website', 'hornet').'" value="'.esc_attr($commenter['comment_author_url']).'" /></div>'
    ))
);
?>
<?php if(get_comment_pages_count() > 1) {
    ?>
    <div class="comment_pager <?php echo esc_attr($pagination_classes); ?>">
        <p><?php paginate_comments_links(); ?></p>
    </div>
<?php } ?>
<div class="comment_form">
    <?php comment_form($args); ?>
</div>
</div>
